<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<%@ page import="org.wso2.carbon.registry.ui.resource.clients.ResourceServiceClient" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.wso2.carbon.registry.ui.resource.clients.CustomUIHandler" %>
<%@ page import="org.wso2.carbon.registry.common.utils.RegistryUtil" %>
<%@ page import="org.wso2.carbon.registry.ui.resource.Utils" %>
<%@ page import="org.wso2.carbon.registry.ui.resources.beans.xsd.ContentBean" %>
<fmt:bundle basename="org.wso2.carbon.registry.ui.resource.i18n.Resources">

    <%
        String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
        String viewMode = Utils.getResourceViewMode(request);
        boolean isInlinedView = "inlined".equals(viewMode);
        ContentBean cb;
        ResourceServiceClient client;


        try {
            client = new ResourceServiceClient(cookie, config, session);
            cb = client.getContent(request);
        } catch (Exception e) {
    %>
    <jsp:forward page="../admin/error.jsp?<%=e.getMessage()%>"/>
    <%
            return;
        }

        String cuiURL = CustomUIHandler.getCustomViewUI(cb.getMediaType(), request.getSession().getServletContext());
        String mode = request.getParameter("mode");
        boolean cui = false;
        if (cuiURL != null && !"standard".equals(mode)) {
            cui = true;
        }
if(!cb.getAbsent().equals("true")){
    %>

    <div class="box1-head">
        <table cellspacing="0" cellpadding="0" border="0" style="width:100%">
            <tr>
                <td valign="top">
                    <h2 class="sub-headding-entries"><%if (cb.getCollection()) { %>
                        <fmt:message key="entries"/> <% } else { %>
                        <fmt:message key="content"/> <% } %></h2>
                </td>
                <td align="right" valign="top" class="expanIconCell">

                    <a onclick="javascript: showHideCommon('entriesIconExpanded');showHideCommon('entriesIconMinimized');showHideCommon('entriesExpanded');showHideCommon('entriesMinimized');">
                        <img src="../resources/images/icon-expanded.gif" border="0" align="top"
                             id="entriesIconExpanded"/>
                        <img src="../resources/images/icon-minimized.gif" border="0" align="top"
                             id="entriesIconMinimized" style="display:none;"/>
                    </a>


                </td>

            </tr>
        </table>
    </div>
    <div class="box1-mid-fill" id="entriesMinimized" style="display:none"></div>
    <div class="box1-mid" id="entriesExpanded">
        <%
            if (!isInlinedView) {
        %>

        <% if (cb.getCollection() && cb.getPutAllowed() && !cb.getVersionView() && cb.getLoggedIn() && !cui) { %>
        <div style="display:block;height:30px;">
            <a class="add-resource-icon-link"
               onclick="showHide('add-resource-div');resetResourceForms()"><fmt:message
                    key="add.resource"/></a>
        </div>


        <div style="display:block;height:30px;">
            <a class="add-collection-icon-link"
               onclick="javascript: showHide('add-folder-div');expandIfNot('entries');if($('add-folder-div').style.display!='none')$('collectionName').focus();">
                <fmt:message key="add.collection"/></a>
        </div>
        <% }
        }%>

        <!-- all the content goes here -->
        <% if (cui) { %>
        <a onclick="viewStandardContentSection('<%=cb.getPathWithVersion()%>')">Standard
            view</a><br/>

        <div id="customViewUIDiv">
            <jsp:include page="<%=cuiURL%>"/>
        </div>
        <%
        } else {

            if (cuiURL != null) {
        %>
        <a onclick="refreshContentSection('<%=cb.getPathWithVersion()%>')"><fmt:message
                key="custom.view"/></a><br/>
        <%
            }
            if (cb.getCollection()) {
        %>

        <jsp:include page="raw-collection-content.jsp"/>

        <% } else {
        %>

        <table style="*width:340px !important;">
        <tr>
        <td>
        <a onclick="displayContentAsText('<%=cb.getPathWithVersion()%>')" class="icon-link" style="background-image:url(../admin/images/view.gif);"><fmt:message
                key="display.as.text"/></a>
        </td>
        <% if (cb.getPutAllowed() && !cb.getVersionView()) { %>
        <td style="vertical-align:middle;padding-left:5px;">|</td>
        <td>
        <a onclick="displayEditContentAsText('<%=cb.getPathWithVersion()%>')" class="icon-link" style="background-image:url(../admin/images/edit.gif);"><fmt:message
                key="edit.as.text"/></a>
        </td>
        <% } %>
        <td style="vertical-align:middle;padding-left:5px;">|</td>
        <td>
            <%
                String path;
            if (cb.getRealPath() != null) {
                path = cb.getRealPath();
            } else {
                path = cb.getPathWithVersion();
            }
            if (path.startsWith("http")) {
                %>
                <a class="icon-link" style="background-image:url(../resources/images/icon-download.jpg);"
		           href="<%=path%>"
		           target="_blank"><fmt:message key="download"/></a>
       <%
            } else {
        %>
	    <a class="icon-link" style="background-image:url(../resources/images/icon-download.jpg);"
		           href="<%=Utils.getResourceDownloadURL(request, path)%>"
		           target="_blank"><fmt:message key="download"/></a>
	    <% }
            %>
        </td>
        </tr>
        </table>
        <br/>
        <br/>

        <div id="generalContentDiv" style="display:none;">
        </div>
        
        <% }
        } %>

    </div>
 <%}%>
</fmt:bundle>